<form id="spell-config-form">
    <p>{{ localize "SW5E.SpellCastHint" }} <strong>{{item.name}}</strong> {{ localize "SW5E.spell" }}.</p>

    {{#unless canCast}}
    <p class="notification error">{{ localize "SW5E.SpellCastNoSlots" }}</p>
    {{/unless}}

    <div class="form-group">
        <label>{{ localize "SW5E.SpellCastUpcast" }}</label>
        <div class="form-fields">
            <select name="level">
                {{#select item.data.level}}
                {{#each spellLevels as |l|}}
                <option value="{{l.level}}" {{#unless l.canCast}}disabled{{/unless}}>{{l.label}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>
    </div>

    <div class="form-group">
        {{#if canUpcast}}
        <label class="checkbox">{{ localize "SW5E.SpellCastConsume" }} <input type="checkbox" name="consume" {{checked canCast}}/></label>
        {{/if}}

        {{#if hasPlaceableTemplate}}
        <div class="form-group">
            <label class="checkbox">{{ localize "SW5E.PlaceTemplate" }}
                <input type="checkbox" name="placeTemplate" checked/>
            </label>
        </div>
        {{/if}}
    </div>
</form>
